plugin: shell
category_id: 2013.com.canonical.plainbox::camera
id: camera/detect
estimated_duration: 1.2
requires:
 device.category == 'CAPTURE'
command: camera_test detect
_description: This Automated test attempts to detect a camera.

plugin: user-interact-verify
category_id: 2013.com.canonical.plainbox::camera
id: camera/display
estimated_duration: 120.0
depends: camera/detect
requires:
 device.category == 'CAPTURE'
command: camera_test display
_description:
 PURPOSE:
     This test will check that the built-in camera works
 STEPS:
     1. Click on Test to display a video capture from the camera for ten seconds.
 VERIFICATION:
     Did you see the video capture?

plugin: user-interact-verify
category_id: 2013.com.canonical.plainbox::camera
id: camera/still
estimated_duration: 120.0
depends: camera/detect
requires:
 package.name == 'gir1.2-gst-plugins-base-0.10' or package.name == 'gir1.2-gst-plugins-base-1.0'
 package.name == 'eog'
 package.name == 'fswebcam' or package.name == 'gir1.2-gst-plugins-base-0.10' or package.name == 'gir1.2-gst-plugins-base-1.0'
 device.category == 'CAPTURE'
command: camera_test still
_description:
 PURPOSE:
     This test will check that the built-in camera works
 STEPS:
     1. Click on Test to display a still image from the camera for ten seconds.
 VERIFICATION:
     Did you see the image?

plugin: shell
category_id: 2013.com.canonical.plainbox::camera
id: camera/multiple-resolution-images
estimated_duration: 1.2
depends: camera/detect
requires:
 package.name == 'fswebcam' or package.name == 'gir1.2-gst-plugins-base-0.10' or package.name == 'gir1.2-gst-plugins-base-1.0'
 device.category == 'CAPTURE'
command: camera_test resolutions
_description:
  Takes multiple pictures based on the resolutions supported by the camera and
  validates their size and that they are of a valid format.

